> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hotglue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger download

> Jobs Download



## OpenAPI

````yaml get /{env_id}/{flow_id}/{tenant}/jobs/download
openapi: 3.1.0
info:
  title: hotglue API
  version: '1.2'
servers:
  - url: https://api.hotglue.com
security:
  - sec0: []
paths:
  /{env_id}/{flow_id}/{tenant}/jobs/download:
    get:
      summary: Trigger download
      description: Jobs Download
      operationId: jobs-download-trigger
      parameters:
        - name: env_id
          in: path
          description: ID of environment
          schema:
            type: string
          required: true
        - name: flow_id
          in: path
          description: ID of flow
          schema:
            type: string
          required: true
        - name: tenant
          in: path
          description: ID of tenant
          schema:
            type: string
          required: true
        - name: job_id
          in: query
          description: ID of job
          required: true
          schema:
            type: string
        - name: job_root
          in: query
          description: Job root path (listed as s3_root in job details)
          required: true
          schema:
            type: string
        - name: content
          in: query
          description: >-
            Comma separated list of what to include in download can include:
            `details,sync,etl,snapshot`
          schema:
            type: string
            default: details,sync,etl,snapshot
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    task_id: >-
                      arn:aws:ecs:us-east-1:581362835603:task/hg-hotglue-qa/982f4a997c1b48ba99f98e666bcddb75
              schema:
                type: object
                properties:
                  task_id:
                    type: string
                    example: >-
                      arn:aws:ecs:us-east-1:581362835603:task/hg-hotglue-qa/982f4a997c1b48ba99f98e666bcddb75
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: {}
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-api-key

````